"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.capitalize = exports.log = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

const log = {
  header: title => {
    // eslint-disable-next-line no-console
    console.log(_chalk.default.bold(`\n---- ${title}\n`));
  },
  info: (text, color) => {
    const textColor = color || 'white'; // eslint-disable-next-line no-console

    console.log(_chalk.default[textColor](`\n${text}\n`));
  },
  success: text => {
    // eslint-disable-next-line no-console
    console.log(_chalk.default.green(`\n${text}\n`));
  },
  warn: text => {
    // eslint-disable-next-line no-console
    console.log(_chalk.default.red(`\n${text}\n`));
  }
};
exports.log = log;

const capitalize = s => {
  return s[0].toUpperCase() + s.slice(1);
};

exports.capitalize = capitalize;