"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRecomendedGasPriceGwei = exports.estimateGas = void 0;

var _got = _interopRequireDefault(require("got"));

const estimateGas = async (web3Contract, method, account, args) => {
  return await web3Contract.methods[method](...args).estimateGas({
    from: account
  });
};

exports.estimateGas = estimateGas;

const getRecomendedGasPriceGwei = async () => {
  const res = await (0, _got.default)('https://ethgasstation.info/json/ethgasAPI.json', {
    json: true
  });
  const gweiPrice = res.body.average / 10;
  return gweiPrice;
};

exports.getRecomendedGasPriceGwei = getRecomendedGasPriceGwei;